Bug 240614 - Review Request: purple-galago - Galago feed plugin for libpurple IM clients
Review Request: purple-galago - Galago feed plugin for libpurple IM clients
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Package Reviews List
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2007-05-18 16:01 EDT by Stu Tomlinson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 15:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stu Tomlinson 2007-05-18 16:01:03 EDT
Spec URL: http://nosnilmot.com/fedora/purple-galago.spec
SRPM URL: http://nosnilmot.com/fedora/purple-galago-0.5.1-2.fc7.src.rpm
Description: 

gaim-galago renamed to purple-galago (as agreed with upstream) and patched to work with libpurple (usable by any libpurple based client such as Pidgin or Finch)
Comment 1 Warren Togami 2007-05-18 16:09:10 EDT
Not quite a minimal buildroot error during autoreconf...

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.3462
+ umask 022
+ cd /home/builder2/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/builder2/rpmbuild/BUILD
+ rm -rf gaim-galago-0.5.1
+ /usr/bin/bzip2 -dc /home/builder2/rpmbuild/SOURCES/gaim-galago-0.5.1.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd gaim-galago-0.5.1
++ /usr/bin/id -u
+ '[' 502 = 0 ']'
++ /usr/bin/id -u
+ '[' 502 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (gaim-galago-purple.patch):'
Patch #0 (gaim-galago-purple.patch):
+ patch -p1 -b --suffix .purple -s
+ autoreconf -f
configure.ac:67: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
/usr/share/aclocal/lock.m4:29: gl_LOCK_EARLY_BODY is expanded from...
/usr/share/aclocal/lock.m4:22: gl_LOCK_EARLY is expanded from...
/usr/share/aclocal/lock.m4:248: gl_LOCK is expanded from...
/usr/share/aclocal/intl.m4:162: gt_INTL_SUBDIR_CORE is expanded from...
/usr/share/aclocal/intl.m4:25: AM_INTL_SUBDIR is expanded from...
/usr/share/aclocal/gettext.m4:57: AM_GNU_GETTEXT is expanded from...
configure.ac:67: the top level
configure.ac:67: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.ac:67: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
aclocal.m4:8451: gl_LOCK_EARLY_BODY is expanded from...
aclocal.m4:8444: gl_LOCK_EARLY is expanded from...
aclocal.m4:8670: gl_LOCK is expanded from...
aclocal.m4:857: gt_INTL_SUBDIR_CORE is expanded from...
aclocal.m4:720: AM_INTL_SUBDIR is expanded from...
aclocal.m4:97: AM_GNU_GETTEXT is expanded from...
configure.ac:67: the top level
configure.ac:67: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.ac:67: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
aclocal.m4:8451: gl_LOCK_EARLY_BODY is expanded from...
aclocal.m4:8444: gl_LOCK_EARLY is expanded from...
aclocal.m4:8670: gl_LOCK is expanded from...
aclocal.m4:857: gt_INTL_SUBDIR_CORE is expanded from...
aclocal.m4:720: AM_INTL_SUBDIR is expanded from...
aclocal.m4:97: AM_GNU_GETTEXT is expanded from...
configure.ac:67: the top level
configure.ac:67: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.ac:67: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
aclocal.m4:8451: gl_LOCK_EARLY_BODY is expanded from...
aclocal.m4:8444: gl_LOCK_EARLY is expanded from...
aclocal.m4:8670: gl_LOCK is expanded from...
aclocal.m4:857: gt_INTL_SUBDIR_CORE is expanded from...
aclocal.m4:720: AM_INTL_SUBDIR is expanded from...
aclocal.m4:97: AM_GNU_GETTEXT is expanded from...
configure.ac:67: the top level
configure.ac:67: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.ac:67: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
aclocal.m4:8451: gl_LOCK_EARLY_BODY is expanded from...
aclocal.m4:8444: gl_LOCK_EARLY is expanded from...
aclocal.m4:8670: gl_LOCK is expanded from...
aclocal.m4:857: gt_INTL_SUBDIR_CORE is expanded from...
aclocal.m4:720: AM_INTL_SUBDIR is expanded from...
aclocal.m4:97: AM_GNU_GETTEXT is expanded from...
configure.ac:67: the top level
configure.ac:67: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.ac:67: required file `./config.rpath' not found
autoreconf: automake failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.3462 (%prep)
Comment 2 Warren Togami 2007-05-18 17:23:51 EDT
Renaming and replacement of gaim-galago is necessary for F7 for upgrade path.
Comment 3 Brian Pepple 2007-05-18 17:29:18 EDT
I've already submitted a patch upstream to rename the package.  I just haven't
had time to backport it to Fedora yet. (It shouldn't take much effort, and I can
probably get to it sometime this weekend).

http://trac.galago-project.org/attachment/ticket/134/purple.patch
Comment 4 Stu Tomlinson 2007-05-18 20:44:35 EDT
New SPEC file: http://nosnilmot.com/fedora/purple-galago.spec
New SRPM file: http://nosnilmot.com/fedora/purple-galago-0.5.1-3.fc7.src.rpm

Instead of trying to autoreconf during build, use a patch to generated auto*
files from a known working FC6 system.

Builds in mach (mock can't make usable buildroots for me at the moment) with
fedora-devel buildroot.
Comment 5 Warren Togami 2007-05-18 21:13:19 EDT
APPROVED

New Package CVS Request
=======================
Package Name: purple-galago
Short Description:  Galago feed plugin for libpurple IM clients
Owners: bpepple@fedoraproject.org,stu@nosnilmot.com,wtogami@redhat.com
Branches: FC-6, F-7
InitialCC: 
Comment 6 Jeremy Katz 2007-05-21 15:17:31 EDT
This is built and tagged
Comment 7 Brian Pepple 2007-05-21 15:30:48 EDT
Package Change Request
======================
Package Name: purple-galago
Updated Fedora Owners: bdpepple@ameritech.net,stu@nosnilmot.com,wtogami@redhat.com

Correct e-mail address.

Note You need to log in before you can comment on or make changes to this bug.